Skip to content

API: Organizations and projects

Generated from the API's OpenAPI schema. Paths are relative to https://cloud.tebibhost.com. Authentication, errors, pagination and idempotency are on the API overview.

GET/api/v1/orgs

List Organizations (listOrganizations)

IAM action: org:DescribeOrganization

Responses

  • 200 OK (array of OrganizationOut)
  • 400 Invalid request (ErrorOut)
  • 401 Not authenticated (ErrorOut)
  • 403 Access denied: the error names the action and the resource (ErrorOut)
  • 404 Not found (also: the resource belongs to another organization) (ErrorOut)
  • 409 Conflict or quota exceeded (ErrorOut)
  • 422 Idempotency key reused for a different request (ErrorOut)
  • 429 Rate limited (ErrorOut)

GET/api/v1/orgs/{organization_id}

Get Organization (getOrganization)

IAM action: org:DescribeOrganization

ParameterInTypeDescription
organization_id requiredpathstring

Responses

  • 200 OK (OrganizationOut)
  • 400 Invalid request (ErrorOut)
  • 401 Not authenticated (ErrorOut)
  • 403 Access denied: the error names the action and the resource (ErrorOut)
  • 404 Not found (also: the resource belongs to another organization) (ErrorOut)
  • 409 Conflict or quota exceeded (ErrorOut)
  • 422 Idempotency key reused for a different request (ErrorOut)
  • 429 Rate limited (ErrorOut)
Fields of OrganizationOut
FieldTypeDescription
idstring
namestring
statusstring
trnstring

GET/api/v1/orgs/{organization_id}/projects

List Projects (listProjects)

IAM action: org:DescribeProject

ParameterInTypeDescription
organization_id requiredpathstring
limitqueryinteger (nullable)
cursorquerystring (nullable)

Responses

  • 200 OK (Page_ProjectOut_)
  • 400 Invalid request (ErrorOut)
  • 401 Not authenticated (ErrorOut)
  • 403 Access denied: the error names the action and the resource (ErrorOut)
  • 404 Not found (also: the resource belongs to another organization) (ErrorOut)
  • 409 Conflict or quota exceeded (ErrorOut)
  • 422 Idempotency key reused for a different request (ErrorOut)
  • 429 Rate limited (ErrorOut)
Fields of Page_ProjectOut_
FieldTypeDescription
itemsarray of ProjectOut
next_cursorstring (nullable)

POST/api/v1/orgs/{organization_id}/projects

Create Project (createProject)

IAM action: org:CreateProject

ParameterInTypeDescription
organization_id requiredpathstring

Request body (JSON, ProjectIn)

FieldTypeDescription
descriptionstring Default: "".
name requiredstring
tagsobject

Responses

  • 202 Accepted (ProjectOut)
  • 400 Invalid request (ErrorOut)
  • 401 Not authenticated (ErrorOut)
  • 403 Access denied: the error names the action and the resource (ErrorOut)
  • 404 Not found (also: the resource belongs to another organization) (ErrorOut)
  • 409 Conflict or quota exceeded (ErrorOut)
  • 422 Idempotency key reused for a different request (ErrorOut)
  • 429 Rate limited (ErrorOut)
Fields of ProjectOut
FieldTypeDescription
created_atstring (date-time)
descriptionstring
idstring
namestring
organization_idstring
statestring
status_messagestring
tagsobject
trnstring
updated_atstring (date-time)

GET/api/v1/projects/{project_id}

Get Project (getProject)

IAM action: org:DescribeProject

ParameterInTypeDescription
project_id requiredpathstring

Responses

  • 200 OK (ProjectOut)
  • 400 Invalid request (ErrorOut)
  • 401 Not authenticated (ErrorOut)
  • 403 Access denied: the error names the action and the resource (ErrorOut)
  • 404 Not found (also: the resource belongs to another organization) (ErrorOut)
  • 409 Conflict or quota exceeded (ErrorOut)
  • 422 Idempotency key reused for a different request (ErrorOut)
  • 429 Rate limited (ErrorOut)
Fields of ProjectOut
FieldTypeDescription
created_atstring (date-time)
descriptionstring
idstring
namestring
organization_idstring
statestring
status_messagestring
tagsobject
trnstring
updated_atstring (date-time)

PATCH/api/v1/projects/{project_id}

Update Project (updateProject)

IAM action: org:UpdateProject

ParameterInTypeDescription
project_id requiredpathstring

Request body (JSON, TagsPatch)

FieldTypeDescription
descriptionstring (nullable)
tagsobject (nullable)

Responses

  • 200 OK (ProjectOut)
  • 400 Invalid request (ErrorOut)
  • 401 Not authenticated (ErrorOut)
  • 403 Access denied: the error names the action and the resource (ErrorOut)
  • 404 Not found (also: the resource belongs to another organization) (ErrorOut)
  • 409 Conflict or quota exceeded (ErrorOut)
  • 422 Idempotency key reused for a different request (ErrorOut)
  • 429 Rate limited (ErrorOut)
Fields of ProjectOut
FieldTypeDescription
created_atstring (date-time)
descriptionstring
idstring
namestring
organization_idstring
statestring
status_messagestring
tagsobject
trnstring
updated_atstring (date-time)

DELETE/api/v1/projects/{project_id}

Delete Project (deleteProject)

IAM action: org:DeleteProject

ParameterInTypeDescription
project_id requiredpathstring

Responses

  • 202 Accepted (ProjectOut)
  • 400 Invalid request (ErrorOut)
  • 401 Not authenticated (ErrorOut)
  • 403 Access denied: the error names the action and the resource (ErrorOut)
  • 404 Not found (also: the resource belongs to another organization) (ErrorOut)
  • 409 Conflict or quota exceeded (ErrorOut)
  • 422 Idempotency key reused for a different request (ErrorOut)
  • 429 Rate limited (ErrorOut)
Fields of ProjectOut
FieldTypeDescription
created_atstring (date-time)
descriptionstring
idstring
namestring
organization_idstring
statestring
status_messagestring
tagsobject
trnstring
updated_atstring (date-time)